set nodes=$1
set edges=$2 
set wb=$3
set type=$4
set dist=$5
set degree=$6
set rounds=$7
##
cd src
sed -e 's/N 10/N '$nodes'/' repairs.perm > t
sed -e 's/M 9/M '$edges'/' t > t1
sed -e 's/G 10/G '$wb'/' t1 > t
sed -e 's/inserttype -1/inserttype '$dist'/' t > repairs.h
make
make install
cd ..
@ count = 20
@ seed = ( $wb * 012345 )
rm -f stats.$type.$nodes.$edges.$wb
sed -e 's/graph: 0/graph: '$degree/ stand.in > in2
sed -e 's/edge: 0/edge: -1/' in2 > in1; mv in1 in2
sed -e 's/repetitions: 1/repetitions: '$rounds/ in2 > in1; mv in1 in2
sed -e 's/adapttimers: 0/adapttimers: 1/' in2 > in1; mv in1 in2
sed -e 's/rep_to_save: 0/rep_to_save: '$rounds/ in2 > in1; mv in1 in2
sed -e 's/seed: 0/seed: '$seed/ in2 > in
while ( $count > 0 )
  src/repairs < in > dump;
  awk -f stats.awk dump >> stats.$type.$nodes.$edges.$wb
  @ seed += 111111; sed -e 's/seed: 0/seed: '$seed/ in2 > in
  @ count -= 1
end
