##
set filename=$1
set type=$2
set end=$3
awk -f ~/paper/wb/sims/print.awk dump.$filename > t
awk '($3=="DETECT"){print $1, $2}' t > setN
awk '($3=="NACK"){print $1, $2}' t > nack
awk '($3=="REPAIR"){print $1, $2}' t > repair
awk '($3=="SENDNACK"){print $1, $2}' t > sentnack
awk '($3=="SENDREP"){print $1, $2}' t > sentrepair
awk '($3=="IGNORES"){print $1, $2}' t > ignore
awk '($3=="NTIMER"){print $1, $2}' t > ntimer
awk '($3=="RTIMER"){print $1, $2}' t > rtimer
#
awk '($3=="LEFTINTERVAL") {print $2, $1, 2}' t > t1
awk '($3=="RIGHTINTERVAL") {print $2, $1, 1}' t >> t1
sort t1 > t2
awk '{t1=$2;if($1==n&&$2==t){t1+=0.1};print $1,t1,$3;n=$1;t=$2}' t2 > t1
##
awk '($3==2){print $2, $1}' t1 > left
awk '($3==1){print $2, $1}' t1 > right
##
echo "TitleText: $filename" > temp.rands
echo "Device: Postscript" >> temp.rands
echo \"detect_loss >> temp.rands
cat setN >> temp.rands
echo " " >> temp.rands
echo \"nack_timer >> temp.rands  
cat ntimer >> temp.rands  
echo " " >> temp.rands  
echo \"send_nack >> temp.rands  
cat sentnack >> temp.rands
echo " " >> temp.rands  
echo \"receive_nack >> temp.rands
cat nack >> temp.rands
echo " " >> temp.rands  
echo \"repair_timer >> temp.rands 
cat rtimer >> temp.rands  
echo " " >> temp.rands  
echo \"send_repair >> temp.rands  
cat sentrepair >> temp.rands
echo " " >> temp.rands  
echo \"receive_repair >> temp.rands  
cat repair >> temp.rands
echo " " >> temp.rands  
echo \"ignore_timer >> temp.rands 
cat ignore >> temp.rands
echo " " >> temp.rands  
echo \"timer_interval  >> temp.rands 
cat left >> temp.rands
cat right >> temp.rands
xgraph -bb -tk -nl -m -lx 0,$end -x time -y node temp.rands &
