# star topology
set type=$1
set degree=$2
set min_nstop=$3
set max_nstop=$4 
set inc_nstop=$5
set nodes=101
set edges=100
set wb=100	
set members=1	# to exclude node 0
set edge=-1 	# failed edge adjacent to source 
set source=0  	# random source
set filename = stats.$type
@ nstop = $min_nstop
#rm -f $filename
while ($nstop <= $max_nstop)
  cd src
  sed -e 's/N 10/N '$nodes'/' repairs.perm > t
  sed -e 's/M 9/M '$edges'/' t > t1; mv t1 t
  sed -e 's/G 10/G '$wb'/' t > t1; mv t1 t
  sed -e 's/NSTOP 2/NSTOP '$nstop/ t > t1; mv t1 t
  mv t repairs.h
  make
  make install
  cd ..
  @ count = 20
  @ seed = ( $wb * 012345 )
  echo 'NSTOP: '$nstop >> $filename
  cp stand.in in
  sed -e 's/graph: 0/graph: '$degree/ in > in2; cp in2 in
  sed -e 's/edge: 0/edge: '$edge/ in > in2; cp in2 in
  sed -e 's/source: 0/source: '$source/ in > in2; cp in2 in
  sed -e 's/members: 0/members: '$members/ in > in2; cp in2 in
  sed -e 's/sim: 0/sim: 3/' in > in2; cp in2 in
  sed -e 's/seed: 0/seed: '$seed/ in > in1; cp in1 in
  while ( $count > 0 )
    src/repairs < in > dump; 
    awk -f stats1.awk dump >> $filename
    @ seed += 111111; sed -e 's/seed: 0/seed: '$seed/ in2 > in
    @ count -= 1
  end
  @ nstop += $inc_nstop 
end
awk -f print1.awk $filename | sort > $filename.sum
