### Add top, bottom.
#
set dir=stats1
@ count = 1
again:
if ($count > 3) goto done
if ($count == 1) goto t1
if ($count == 2) goto t2
if ($count == 3) goto t3
t1:
set type=N; set label=N=G,M=N-1
goto next
t2:
set type=G; set label=N=2G,M=N-1
goto next
t3: 
set type=A; set label=N=2G,M=1.5N
goto next 
next:
awk '{print $8, $12}' $dir/stats.$type.* | sort > events
awk -f ~/newawk/ave5.awk events | sort > ave
awk -f bottom.awk events | sort > bottom
awk -f top.awk events | sort > top
uniq events > chart
s << !
events _ matrix(scan("chart"),ncol=2,byr=T)
ave _ matrix(scan("ave"),ncol=2,byr=T)
bottom _ matrix(scan("bottom"),ncol=2,byr=T)
top _ matrix(scan("top"),ncol=2,byr=T)
xr _ range(events[,1],ave[,1])
yr _ range(0,events[,2],ave[,2])
postscript("tests.ps", horizontal=F, height=6.0)
par(mgp=c(1,0,0))
par(mar=c(3,2,0,0))
par(tck=0.02)
par(pch=".")
plot(events[,1],events[,2],xlim=xr,ylim=yr,type="n",
xlab="Session Size", ylab="Number of NACKs",
sub="$label, type=$type")
par(lty=1)
lines(ave[,1],ave[,2],type="l")
par(lty=3)
lines(bottom[,1],bottom[,2],type="l")
lines(top[,1],top[,2],type="l")
points(events[,1],events[,2],type="p", pch=4)
q()
!
cp tests.ps ~/paper/wb/figures/test.$type.nacks.ps
#####
awk '{print $8, $14}' $dir/stats.$type.* | sort > events
awk -f ~/newawk/ave5.awk events | sort > ave
awk -f bottom.awk events | sort > bottom
awk -f top.awk events | sort > top
uniq events > chart
s << !
events _ matrix(scan("chart"),ncol=2,byr=T)
ave _ matrix(scan("ave"),ncol=2,byr=T)
bottom _ matrix(scan("bottom"),ncol=2,byr=T)
top _ matrix(scan("top"),ncol=2,byr=T)
xr _ range(events[,1],ave[,1])
yr _ range(0,events[,2],ave[,2])
postscript("tests.ps", horizontal=F, height=6.0)
par(mgp=c(1,0,0))  
par(mar=c(3,2,0,0))
par(tck=0.02)
par(pch=".")
plot(events[,1],events[,2],xlim=xr,ylim=yr,type="n",
xlab="Session Size", ylab="Number of Repairs",
sub="$label, type=$type")
par(lty=1)
lines(ave[,1],ave[,2],type="l")
par(lty=3)
lines(bottom[,1],bottom[,2],type="l")
lines(top[,1],top[,2],type="l")
points(events[,1],events[,2],type="p", pch=4)
q()
!
cp tests.ps ~/paper/wb/figures/test.$type.repairs.ps
#####
awk '{print $8, $16}' $dir/stats.$type.* | sort > events
awk -f ~/newawk/ave5.awk events | sort > ave
#awk -f bottom.awk events | sort > bottom
#awk -f top.awk events | sort > top
uniq events > chart
s << !
events _ matrix(scan("chart"),ncol=2,byr=T)
ave _ matrix(scan("ave"),ncol=2,byr=T)
#bottom _ matrix(scan("bottom"),ncol=2,byr=T)
#top _ matrix(scan("top"),ncol=2,byr=T)
xr _ range(events[,1],ave[,1])
yr _ range(0,events[,2],ave[,2])
postscript("tests.ps", horizontal=F, height=6.0)
par(mgp=c(1,0,0))  
par(mar=c(3,2,0,0))
par(tck=0.02)
par(pch=".")
plot(events[,1],events[,2],xlim=xr,ylim=yr,type="n",
xlab="Session Size", ylab="Delay/RTT",
sub="$label, type=$type")
par(lty=1)
lines(ave[,1],ave[,2],type="l")
#lines(bottom[,1],bottom[,2],type="l")
#lines(top[,1],top[,2],type="l")
points(events[,1],events[,2],type="p", pch=4)
q()
!
cp tests.ps ~/paper/wb/figures/test.$type.delay.ps
###
@ count ++
goto again
done:
exit
