# Sparse tree, members picked deterministically.
set type=$1
set degree=$2
set edge=$3  
set min_nstop=$4
set max_nstop=$5 
set inc_nstop=$6
set nodes=1000
set edges=999
set wb=500
set dist=-1
set source=-1
set filename = stats.$type.$edge
@ nstop = $min_nstop
#rm -f $filename
while ($nstop <= $max_nstop)
  cd src
  sed -e 's/N 10/N '$nodes'/' repairs.perm > t
  sed -e 's/M 9/M '$edges'/' t > t1; mv t1 t
  sed -e 's/G 10/G '$wb'/' t > t1; mv t1 t
  sed -e 's/NSTOP 2/NSTOP '$nstop/ t > t1; mv t1 t
  sed -e 's/inserttype -1/inserttype '$dist'/' t > repairs.h
  make
  make install
  cd ..
  @ count = 20
  @ seed = ( $wb * 012345 )
  echo 'NSTOP: '$nstop >> $filename
  sed -e 's/graph: 0/graph: '$degree/ stand.in > in2; cp in2 in
  sed -e 's/edge: 0/edge: '$edge/ in > in2; cp in2 in
  sed -e 's/source: 0/source: '$source/ in > in2; cp in2 in
  sed -e 's/sim: 0/sim: 3/' in > in2; cp in2 in
  sed -e 's/members: 0/members: 2/' in > in2; cp in2 in
  sed -e 's/seed: 0/seed: '$seed/ in > in1; cp in1 in
  while ( $count > 0 )
    src/repairs < in > dump; 
    awk -f stats1.awk dump >> $filename
    @ seed += 111111; sed -e 's/seed: 0/seed: '$seed/ in2 > in
    @ count -= 1
  end
  @ nstop += $inc_nstop 
end
awk -f print1.awk $filename | sort > $filename.sum
